MYLIB=../mylib.a
AR=ar
#CFLAGS=-O2 -fnonstd +p +w
RE=$(HOME)/mylib/ptrepository
INC=$(HOME)/headers
INCLUDES="-I$(INC)"
CFLAGS=-noex -fsimple -libmieee -xlibmopt +w -O4 -cg92 -dalign +p -pts -ptr$(RE)
LD = CC $(CFLAGS) $(INCLUDES)
INC=$(HOME)/headers
CC=CC -c $(CFLAGS) $(INCLUDES)

.PRECIOUS: $(MYLIB)

OBJS=gpk_set_hash_fcn.o

all : $(INC)/gpk_set.h $(INC)/gpk_set.cc $(INC)/hash.h $(INC)/hash.cc
all : $(INC)/cache.h $(INC)/cache.cc $(MYLIB)
	date >all

$(MYLIB)	:	$(OBJS) $(HOME)/headers/String.h
	$(AR) r $(MYLIB) $?;

$(INC)/gpk_set.h : gpk_set.h
	cp_prot gpk_set.h $(INC)/gpk_set.h

$(INC)/gpk_set.cc : gpk_set.cc
	cp_prot gpk_set.cc $(INC)/gpk_set.cc

$(INC)/hash.h : hash.h
	cp_prot hash.h $(INC)/hash.h

$(INC)/hash.cc : hash.cc
	cp_prot hash.cc $(INC)/hash.cc

$(INC)/cache.h : cache.h
	cp_prot cache.h $(INC)/cache.h

$(INC)/cache.cc : cache.cc
	cp_prot cache.cc $(INC)/cache.cc


.c.o	:
	$(CC) $*.c
